app.config(['$translateProvider',
function($translateProvider) {
  $translateProvider
    .translations('en', {
      '_BROWSER' :                  'Web Browser',
      '_ON_STARTUP' :               'On Startup',
      '_OPEN_HOMEPAGE' :            'Open homepage',
      '_OPEN_SETTINGS' :            'Open settings page',
      '_LAST_VISITED' :             'Continue where you left',
      '_USER_AGENT' :               'Change UserAgent',
      '_ENABLE_TOOLBAR' :           'Enable toolbar',
      '_TOOLBAR_ON_ERROR' :         'Show toolbar only on error',
      '_TOOLBAR_HISTORY' :          'Show history buttons',
      '_TOOLBAR_LOADING' :          'Show loading controls',
      '_HOMEPAGE' :                 'Homepage',
      '_FALLBACK_PAGE' :            'Fallback page',
      '_LONG_PRESS_TIME' :          'Options press-and-hold time (s)',
      '_CHROMIUM_SAVE_ERROR' :      'Failed configuring web browser',
      '_USER_AGENT_WARN' :          'User Agent changes will require a reboot to take effect',
      '_ALLOW_DOWNLOAD' :           'Allow downloading files'
    })
    .translations('it', {
      '_BROWSER' :                  'Browser Web',
      '_ON_STARTUP' :               'All\'avvio',
      '_OPEN_HOMEPAGE' :            'Apri homepage',
      '_OPEN_SETTINGS' :            'Apri pagina di configurazione',
      '_LAST_VISITED' :             'Apri ultima pagina visitata',
      '_USER_AGENT' :               'Cambia UserAgent',
      '_ENABLE_TOOLBAR' :           'Abilita toolbar',
      '_TOOLBAR_ON_ERROR' :         'Mostra toolbar solo su errore',
      '_TOOLBAR_HISTORY' :          'Mostra pulsanti navigazione',
      '_TOOLBAR_LOADING' :          'Mostra controlli di caricamento',
      '_HOMEPAGE' :                 'Homepage',
      '_FALLBACK_PAGE' :            'Homepage secondaria',
      '_LONG_PRESS_TIME' :          'Timeout press-and-hold (s)',
      '_CHROMIUM_SAVE_ERROR' :      'Errore durante la configurazione del browser web',
      '_USER_AGENT_WARN' :          'Il cambio di userAgent richiede un riavvio per avere effetto',
      '_ALLOW_DOWNLOAD' :           'Permetti il download di file'
    })
    .translations('de', {
      '_BROWSER' :                  'Web Browser',
      '_ON_STARTUP' :               'On Startup',
      '_OPEN_HOMEPAGE' :            'Open homepage',
      '_OPEN_SETTINGS' :            'Open settings page',
      '_LAST_VISITED' :             'Continue where you left',
      '_USER_AGENT' :               'Change UserAgent',
      '_ENABLE_TOOLBAR' :           'Enable toolbar',
      '_TOOLBAR_ON_ERROR' :         'Show toolbar only on error',
      '_TOOLBAR_HISTORY' :          'Show history buttons',
      '_TOOLBAR_LOADING' :          'Show loading controls',
      '_HOMEPAGE' :                 'Homepage',
      '_FALLBACK_PAGE' :            'Fallback page',
      '_LONG_PRESS_TIME' :          'Options press-and-hold time (s)',
      '_CHROMIUM_SAVE_ERROR' :      'Failed configuring web browser',
      '_USER_AGENT_WARN' :          'User Agent changes will require a reboot to take effect',
      '_ALLOW_DOWNLOAD' :           'Allow downloading files'
    })
    .translations('zh', {
      '_BROWSER' :                  'Web Browser',
      '_ON_STARTUP' :               'On Startup',
      '_OPEN_HOMEPAGE' :            'Open homepage',
      '_OPEN_SETTINGS' :            'Open settings page',
      '_LAST_VISITED' :             'Continue where you left',
      '_USER_AGENT' :               'Change UserAgent',
      '_ENABLE_TOOLBAR' :           'Enable toolbar',
      '_TOOLBAR_ON_ERROR' :         'Show toolbar only on error',
      '_TOOLBAR_HISTORY' :          'Show history buttons',
      '_TOOLBAR_LOADING' :          'Show loading controls',
      '_HOMEPAGE' :                 'Homepage',
      '_FALLBACK_PAGE' :            'Fallback page',
      '_LONG_PRESS_TIME' :          'Options press-and-hold time (s)',
      '_CHROMIUM_SAVE_ERROR' :      'Failed configuring web browser',
      '_USER_AGENT_WARN' :          'User Agent changes will require a reboot to take effect',
      '_ALLOW_DOWNLOAD' :           'Allow downloading files'
    })
    .translations('fr', {
      '_BROWSER' :                  'Web Browser',
      '_ON_STARTUP' :               'On Startup',
      '_OPEN_HOMEPAGE' :            'Open homepage',
      '_OPEN_SETTINGS' :            'Open settings page',
      '_LAST_VISITED' :             'Continue where you left',
      '_USER_AGENT' :               'Change UserAgent',
      '_ENABLE_TOOLBAR' :           'Enable toolbar',
      '_TOOLBAR_ON_ERROR' :         'Show toolbar only on error',
      '_TOOLBAR_HISTORY' :          'Show history buttons',
      '_TOOLBAR_LOADING' :          'Show loading controls',
      '_HOMEPAGE' :                 'Homepage',
      '_FALLBACK_PAGE' :            'Fallback page',
      '_LONG_PRESS_TIME' :          'Options press-and-hold time (s)',
      '_CHROMIUM_SAVE_ERROR' :      'Failed configuring web browser',
      '_USER_AGENT_WARN' :          'User Agent changes will require a reboot to take effect',
      '_ALLOW_DOWNLOAD' :           'Allow downloading files'
    })
}]);
